Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wmps
Interface RequestManager

All Known Implementing Classes:
  DefaultRequestManager

    public interface RequestManager

Interface for defining access to RequestManager. Default implementation to be used if no other is specified in deegree WMPS configuration is

Version:
  2.0
Author:
  Anup Deshmukh
See Also:
  `DefaultGetMapHandler`

Method Summary
`PrintMapResponseDocument` | `createFinalResponse(String message, String exception)`
`PrintMapResponseDocument` | `createInitialResponse(String message)`
`void` | `saveRequestToDB()`
`void` | `sendEmail(PrintMapResponseDocument response)`

Method Detail

### saveRequestToDB

    void saveRequestToDB()
                         throws OGCWebServiceException

  Throws:
    `OGCWebServiceException`

### createInitialResponse

    PrintMapResponseDocument createInitialResponse(String message)
                                                   throws OGCWebServiceException

  Parameters:
    `message` -
  Returns:
    the response document
  Throws:
    `OGCWebServiceException`

### sendEmail

    void sendEmail(PrintMapResponseDocument response)
                   throws OGCWebServiceException

  Parameters:
    `response` -
  Throws:
    `OGCWebServiceException`

### createFinalResponse

    PrintMapResponseDocument createFinalResponse(String message,
                                                 String exception)
                                                 throws OGCWebServiceException

  Parameters:
    `message` -
    `exception` -
  Returns:
    the response document
  Throws:
    `OGCWebServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org